import { ElementRef, Renderer2 } from '@angular/core';
import { AbstractControlDirective } from './abstract-control.directive';
import { FormsConfig } from '../../types';
export declare class CheckboxInputControlDirective extends AbstractControlDirective<boolean> {
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig);
    onInput(): void;
    onBlur(): void;
    getValue(): boolean;
    setValue(value: boolean): void;
    setDisabled(disabled: boolean): void;
}
